<?xml version="1.0" encoding="utf-8"?>
<config>
	<!--listen start-->
	<listen ip='*' port='80' type='http' />
	<listen ip='*' port='3388' type='manage' />
	<!--listen end-->
	<lang>ZH-CN</lang>
	<keep_alive>10</keep_alive>
	<keep_alive_count>1920</keep_alive_count>
	<timeout>60</timeout>
	<connect_timeout>60</connect_timeout>
	<min_free_thread>0</min_free_thread>
	<autoupdate type='on' install='0'/>
	<admin user='upupw' password='184cf4417fe60fbc08e63c662c382329' crypt='md5' auth_type='Basic' admin_ips='127.0.0.1|*'/>
	<gzip only_gzip_cache='0' min_gzip_length='256' gzip_level='5'/>
	<cache default='1' max_cache_size='1M' memory='32M' disk='0' refresh_time='10'/>
	<connect max_per_ip='0' max='0' >
	</connect>
	<max_post_size>300M</max_post_size>
	<async_io>1</async_io>
	<request_queue max_worker='36' max_queue='0'/>
	<path_info>1</path_info>
	<access_log>/nolog</access_log>
	<log_handle_concurrent>2</log_handle_concurrent>
	<log level='3' rotate_time='0 0 * * *' logs_day='30' logs_size='1G'/>
	<hostname>UPUPW</hostname>
	<worker_io>10</worker_io>
	<worker_dns>20</worker_dns>
	<!--server start-->
	<!--server end-->
	<!--cgi start-->
	<!--cgi end-->
	<!--api start-->
	<api name='asp' file='bin/kasp.dll' type='mt'  life_time='60' max_error_count='5'>
	</api>
	<api name='webdav' file='bin/webdav.dll' type='mt' flag='disable'  life_time='60' max_error_count='5'>
	</api>
	<api name='whm' file='buildin:whm' type='mt' flag='disable'  life_time='60' max_error_count='5'>
	</api>
	<!--api end-->
	<!--cmd start-->
	<cmd name='PHP5.2.X' proto='fastcgi' file='X:\UPUPW_K2.0\PHPX\PHP52\php-cgi.exe' type='mp' life_time='0' idle_time='120' max_error_count='5'>
		<env PHPRC="X:\UPUPW_K2.0\PHPX\PHP52\php52.ini" PHP_FCGI_MAX_REQUESTS="0" />
	</cmd>
	<cmd name='PHP5.3.X' proto='fastcgi' file='X:\UPUPW_K2.0\PHPX\PHP53\php-cgi.exe' type='mp' life_time='0' idle_time='120' max_error_count='5'>
		<env PHPRC="X:\UPUPW_K2.0\PHPX\PHP53\php53.ini" PHP_FCGI_MAX_REQUESTS="0" />
	</cmd>
	<cmd name='PHP5.4.X' proto='fastcgi' file='X:\UPUPW_K2.0\PHPX\PHP54\php-cgi.exe' type='mp' life_time='0' idle_time='120' max_error_count='5'>
		<env PHPRC="X:\UPUPW_K2.0\PHPX\PHP54\php54.ini" PHP_FCGI_MAX_REQUESTS="0" />
	</cmd>
	<cmd name='PHP5.5.X' proto='fastcgi' file='X:\UPUPW_K2.0\PHPX\PHP55\php-cgi.exe' type='mp' life_time='0' idle_time='120' max_error_count='5'>
		<env PHPRC="X:\UPUPW_K2.0\PHPX\PHP55\php55.ini" PHP_FCGI_MAX_REQUESTS="0" />
	</cmd>
	<cmd name='PHP5.6.X' proto='fastcgi' file='X:\UPUPW_K2.0\PHPX\PHP56\php-cgi.exe' type='mp' life_time='0' idle_time='120' max_error_count='5'>
		<env PHPRC="X:\UPUPW_K2.0\PHPX\PHP56\php56.ini" PHP_FCGI_MAX_REQUESTS="0" />
	</cmd>
	<cmd name='PHP7.0.X' proto='fastcgi' file='X:\UPUPW_K2.0\PHPX\PHP70\php-cgi.exe' type='mp' life_time='0' idle_time='120' max_error_count='5'>
		<env PHPRC="X:\UPUPW_K2.0\PHPX\PHP70\php70.ini" PHP_FCGI_MAX_REQUESTS="0" />
	</cmd>
	<!--cmd end-->
	<!--writeback start-->
	<!--writeback end-->
	<!--access start-->
	<request action='vhs' >
		<table name='BEGIN'>
			<chain  action='deny'  name='防止木马上传'>
				<mark_post_file   filename='\.((php)|(php5)|(php7)|(phps)|(jsp)|(asp)|(aspx)|(asa)|(asax)|(ascx)|(ashx)|(asmx)|(axd)|(html)|(htm)|(js))$' icase='1'></mark_post_file>
			</chain>
			<chain  action='deny'  name='防止ASP解析漏洞'>
				<acl_reg_path  nc='1' path='\.((asp)|(aspx)|(asa)|(asax)|(ascx)|(ashx)|(asmx)|(axd))[;/]'></acl_reg_path>
			</chain>
			<chain  action='deny'  name='禁止目录执行'>
				<acl_reg_path  nc='1' path='.*\/((attachment)|(attachments)|(uploadfiles)|(avatar))\/'></acl_reg_path>
				<acl_reg_path  nc='1' path='\.((php)|(php5)|(php7)|(phps)|(jsp)|(asp)|(aspx)|(asa)|(asax)|(ascx)|(ashx)|(asmx)|(axd)).*$'></acl_reg_path>
			</chain>
			<chain  action='deny'  name='upd外网防护'>
				<acl_reg_path  nc='1' path='/upd/(.*)$'></acl_reg_path>
				<acl_host revers='1'  split='|'>127.0.0.1|localhost</acl_host>
			</chain>
			<chain  action='deny'  name='pmd外网防护'>
				<acl_reg_path  nc='1' path='/pmd123/(.*)$'></acl_reg_path>
				<acl_host revers='1'  split='|'>127.0.0.1|localhost</acl_host>
			</chain>
			<chain  action='deny'  name='保护系统文件'>
				<acl_url  nc='1'><![CDATA[\.(htaccess|uini)]]></acl_url>
			</chain>
			<chain  action='deny'  name='保护敏感文件'>
				<acl_url  nc='1'><![CDATA[(up.+\.|web\.|httpd\.)(conf|log|config|ini)]]></acl_url>
			</chain>
			<chain  action='continue'  name='状态报告'>
				<acl_host  split='|'>127.0.0.1|localhost</acl_host>
				<acl_path  path='/status'></acl_path>
				<mark_stub_status  ></mark_stub_status>
			</chain>
			<chain  action='continue'  name='获取真实IP'>
				<mark_replace_ip   header='X-Forwarded-For' > </mark_replace_ip>
			</chain>
			<chain  action='continue'  name='代理虚拟主机'>
				<acl_host  split='|'>test1.com|www.test1.com</acl_host>
				<mark_host   host='127.0.0.1' port='8080' proxy='1' life_time='60'></mark_host>
			</chain>
			<chain  action='continue'  name='301跳转示例'>
				<acl_host  split='|'>test2.com</acl_host>
				<mark_rewrite   path='(.*)' dst='http://www.test2.com$1' internal='0' nc='1' qsa='1' code='301'></mark_rewrite>
			</chain>
		</table>
	</request>
	<response action='allow' >
		<table name='BEGIN'>
			<chain  action='continue'  name='Gzip压缩'>
				<acl_header header='Content-Type' regex='1'><![CDATA[(text/ht*)|(text/css)|(application/x-javascript)|(application/rss+xml)|(text/xml)$]]></acl_header>
				<mark_response_flag   flagvalue='gzip,'></mark_response_flag>
			</chain>
		</table>
	</response>
	<!--access end-->
<vhs  error_400='/ErrorFiles/400.html' error_401='/ErrorFiles/401.html' error_403='/ErrorFiles/403.html' error_404='/ErrorFiles/404.html' error_500='/ErrorFiles/500.html' error_502='/ErrorFiles/502.html' error_504='/ErrorFiles/504.html'>
<index id='1' file='index.html'/>
<index id='2' file='index.htm'/>
<index id='3' file='default.html'/>
<index id='4' file='default.htm'/>
<index id='5' file='index.php'/>
<index id='6' file='default.php'/>
<index id='7' file='app.php'/>
<index id='101' file='u.php'/>
<alias path='/pmd/' to='X:\UPUPW_K2.0\phpmyadmin\'/>
<alias path='/upd/' to='X:\UPUPW_K2.0\memcached\'/>
<mime_type ext='*' type='text/plain'/>
<mime_type ext='3gp' type='video/3gpp'/>
<mime_type ext='3gpp' type='video/3gpp'/>
<mime_type ext='ai' type='application/postscript'/>
<mime_type ext='aif' type='audio/x-aiff'/>
<mime_type ext='aifc' type='audio/x-aiff'/>
<mime_type ext='aiff' type='audio/x-aiff'/>
<mime_type ext='amr' type='audio/amr'/>
<mime_type ext='arj' type='application/x-arj-compressed'/>
<mime_type ext='atom' type='application/atom+xml'/>
<mime_type ext='au' type='audio/basic'/>
<mime_type ext='avi' type='video/x-msvideo'/>
<mime_type ext='bcpio' type='application/x-bcpio'/>
<mime_type ext='bin' type='application/macbinary'/>
<mime_type ext='bmp' type='image/x-bmp'/>
<mime_type ext='c' type='text/plain'/>
<mime_type ext='cab' type='application/octet-stream'/>
<mime_type ext='cc' type='text/plain'/>
<mime_type ext='cdf' type='application/x-netcdf'/>
<mime_type ext='cod' type='text/x-co-desc'/>
<mime_type ext='core' type='application/octet-stream'/>
<mime_type ext='cpio' type='application/x-cpio'/>
<mime_type ext='cpp' type='text/plain'/>
<mime_type ext='csh' type='application/x-csh'/>
<mime_type ext='css' type='text/css' gzip='1'/>
<mime_type ext='dll' type='application/octet-stream'/>
<mime_type ext='doc' type='application/msword'/>
<mime_type ext='dvi' type='application/x-dvi'/>
<mime_type ext='ear' type='application/java-archive'/>
<mime_type ext='eps' type='application/postscript'/>
<mime_type ext='etx' type='text/x-setext'/>
<mime_type ext='exe' type='application/octet-stream'/>
<mime_type ext='f90' type='text/plain'/>
<mime_type ext='flv' type='video/x-flv'/>
<mime_type ext='gif' type='image/gif'/>
<mime_type ext='gtar' type='application/x-gtar'/>
<mime_type ext='gz' type='application/x-tar'/>
<mime_type ext='h' type='text/plain'/>
<mime_type ext='hdf' type='application/x-hdf'/>
<mime_type ext='hh' type='text/plain'/>
<mime_type ext='hqx' type='application/mac-binhex40'/>
<mime_type ext='htm' type='text/html' gzip='1'/>
<mime_type ext='html' type='text/html' gzip='1'/>
<mime_type ext='ico' type='image/x-icon'/>
<mime_type ext='ief' type='image/ief'/>
<mime_type ext='jad' type='text/vnd.sun.j2me.app-descriptor'/>
<mime_type ext='jar' type='application/java-archive'/>
<mime_type ext='jng' type='image/x-jng'/>
<mime_type ext='jpe' type='image/jpeg'/>
<mime_type ext='jpeg' type='image/jpeg'/>
<mime_type ext='jpg' type='image/jpeg'/>
<mime_type ext='js' type='application/x-javascript' gzip='1'/>
<mime_type ext='latex' type='application/x-latex'/>
<mime_type ext='lha' type='application/x-lha-compressed'/>
<mime_type ext='lsm' type='text/plain'/>
<mime_type ext='lzh' type='application/x-lha-compressed'/>
<mime_type ext='m' type='text/plain'/>
<mime_type ext='man' type='application/x-troff-man'/>
<mime_type ext='mbm' type='image/x-epoc-mbm'/>
<mime_type ext='me' type='application/x-troff-me'/>
<mime_type ext='mid' type='audio/midi'/>
<mime_type ext='midi' type='audio/midi'/>
<mime_type ext='mif' type='application/x-mif'/>
<mime_type ext='mmf' type='application/x-smaf'/>
<mime_type ext='mml' type='text/mathml'/>
<mime_type ext='mov' type='video/quicktime'/>
<mime_type ext='movie' type='video/x-sgi-movie'/>
<mime_type ext='mp2' type='audio/basic'/>
<mime_type ext='mp3' type='audio/mpeg'/>
<mime_type ext='mp4' type='video/mp4'/>
<mime_type ext='mpe' type='video/mpeg'/>
<mime_type ext='mpeg' type='video/mpeg'/>
<mime_type ext='mpg' type='video/mpeg'/>
<mime_type ext='ms' type='application/x-troff-ms'/>
<mime_type ext='msw' type='application/msword'/>
<mime_type ext='mwrt' type='application/macwriteii'/>
<mime_type ext='n3a' type='image/vnd.nok-3dscreensaver'/>
<mime_type ext='nc' type='application/x-netcdf'/>
<mime_type ext='ngd' type='application/x-nokiagamedata'/>
<mime_type ext='nok' type='image/vnd.nok-oplogo-colornokia-op-logo'/>
<mime_type ext='nqd' type='application/vnd.nokia.gamedata'/>
<mime_type ext='oda' type='application/oda'/>
<mime_type ext='pbm' type='image/x-portable-bitmap'/>
<mime_type ext='pdf' type='application/pdf'/>
<mime_type ext='pgm' type='image/x-portable-graymap'/>
<mime_type ext='pic' type='application/pict'/>
<mime_type ext='pict' type='application/pict'/>
<mime_type ext='pmd' type='application/x-pmd'/>
<mime_type ext='png' type='image/png'/>
<mime_type ext='pnm' type='image/x-portable-anymap'/>
<mime_type ext='ppm' type='image/x-portable-pixmap'/>
<mime_type ext='ps' type='application/postscript'/>
<mime_type ext='qcp' type='audio/vnd.qcelp'/>
<mime_type ext='qt' type='video/quicktime'/>
<mime_type ext='rar' type='application/x-rar-compressed'/>
<mime_type ext='ras' type='image/cmu-raster'/>
<mime_type ext='rgb' type='image/x-rgb'/>
<mime_type ext='rng' type='application/vnd.nokie.ringing-tone'/>
<mime_type ext='roff' type='application/x-troff'/>
<mime_type ext='rpm' type='application/x-rpm'/>
<mime_type ext='rss' type='application/rss+xml' gzip='1'/>
<mime_type ext='rtf' type='application/x-rtf'/>
<mime_type ext='rtx' type='text/richtext'/>
<mime_type ext='sh' type='application/x-sh'/>
<mime_type ext='shar' type='application/x-shar'/>
<mime_type ext='si' type='text/vnd.wap.si'/>
<mime_type ext='sic' type='application/vnd.wap.sic'/>
<mime_type ext='sis' type='application/vnd.symbian.install'/>
<mime_type ext='sit' type='application/stuffit'/>
<mime_type ext='sl' type='text/vnd.wap.sl'/>
<mime_type ext='slc' type='application/vnd.wap.slc'/>
<mime_type ext='snd' type='audio/basic'/>
<mime_type ext='src' type='application/x-wais-source'/>
<mime_type ext='sv4cpio' type='application/x-sv4cpio'/>
<mime_type ext='sv4crc' type='application/x-sv4crc'/>
<mime_type ext='svg' type='image/svg+xml'/>
<mime_type ext='svgz' type='image/svg+xml'/>
<mime_type ext='swf' type='application/x-shockwave-flash'/>
<mime_type ext='t' type='application/x-troff'/>
<mime_type ext='tar' type='application/x-tar'/>
<mime_type ext='tcl' type='application/x-tcl'/>
<mime_type ext='tex' type='application/x-tex'/>
<mime_type ext='texi' type='application/x-texinfo'/>
<mime_type ext='texinfo' type='application/x-texinfo'/>
<mime_type ext='tgz' type='application/x-tar'/>
<mime_type ext='tif' type='image/tiff'/>
<mime_type ext='tiff' type='image/tiff'/>
<mime_type ext='tr' type='application/x-troff'/>
<mime_type ext='tsv' type='text/tab-separated-values'/>
<mime_type ext='ustar' type='application/x-ustar'/>
<mime_type ext='vcf' type='text/v-vcard'/>
<mime_type ext='vcs' type='text/x-vcalendar'/>
<mime_type ext='war' type='application/java-archive'/>
<mime_type ext='wav' type='audio/x-wav'/>
<mime_type ext='wbmp' type='image/vnd.wap.wmbp'/>
<mime_type ext='webm' type='video/webm'/>
<mime_type ext='webp' type='image/webp'/>
<mime_type ext='wml' type='text/vnd.wap.wml'/>
<mime_type ext='wmlc' type='application/vnd.wap.wmlc'/>
<mime_type ext='wmls' type='text/vnd.wap.wmlscript'/>
<mime_type ext='wmlsc' type='text/vnd.wap.wmlscript'/>
<mime_type ext='wmv' type='video/x-ms-wmv'/>
<mime_type ext='xbm' type='image/x-xbitmap'/>
<mime_type ext='xls' type='application/msexcel'/>
<mime_type ext='xml' type='text/xml' gzip='1'/>
<mime_type ext='xpm' type='image/x-xpixmap'/>
<mime_type ext='xwd' type='image/x-xwindowdump'/>
<mime_type ext='Z' type='application/x-tar'/>
<mime_type ext='zip' type='application/x-zip-compressed'/>
<mime_type ext='zlib' type='application/x-deflate'/>
</vhs>
	<!--vh start-->
<vh name='Default' doc_root='X:\UPUPW_K2.0\htdocs' log_file='X:\UPUPW_K2.0\Logs\Default_access.log' log_rotate_time='0 0 * * *' logs_day='30' logs_size='1073741824' inherit='on' app='1' app_share='0' htaccess='.htaccess' max_worker='8'>
<map file_ext='php' extend='cmd:PHP5.3.X' allow_method='*'/>
<host>*</host>
<host>127.0.0.1</host>
<host>localhost</host>
</vh>
	<!--vh end-->
</config>

<!--configfileisok-->